### Class

# Foundry DirectoryReaper

#### Description [src]

    final class Foundry.DirectoryReaper : GObject.Object
    {
      /* No available fields */
    }

Simplified interface for deleting files or directories recursively.

#### Ancestors

- GObject

#### Constructors

###### foundry_directory_reaper_new

No description available.

#### Instance methods

###### foundry_directory_reaper_add_directory

No description available.

###### foundry_directory_reaper_add_file

No description available.

###### foundry_directory_reaper_add_glob

No description available.

###### foundry_directory_reaper_execute

No description available.

###### foundry_directory_reaper_execute_async

No description available.

###### foundry_directory_reaper_execute_finish

No description available.

###### foundry_directory_reaper_execute_sync

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Foundry.DirectoryReaper::remove-file

The “remove-file” signal is emitted for each file that is removed by the `FoundryDirectoryReaper` instance. This may be useful if you want to show the user what was processed by the reaper.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDirectoryReaperClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.